<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Wed Jan 30 21:00:44 CET 2019 -->
<title>Tile</title>
<meta name="date" content="2019-01-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Tile";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../com/project/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?com/project/Tile.html" target="_top">Frames</a></li>
<li><a href="Tile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.project</div>
<h2 title="Class Tile" class="title">Class Tile</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.project.Tile</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Tile</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#Tile-java.lang.String-">Tile</a></span>(java.lang.String&nbsp;input)</code>
<div class="block">Tile constructor (used for communication through the protocol).</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#getAspect--">getAspect</a></span>()</code>
<div class="block">Use to get the aspect of this tile (upwards or downwards).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#getLeft--">getLeft</a></span>()</code>
<div class="block">Use to get the left color of this tile.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#getRight--">getRight</a></span>()</code>
<div class="block">Use to get the right color of this tile.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#getValues--">getValues</a></span>()</code>
<div class="block">Use to get the points this tile is worth.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.Character</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#getVertical--">getVertical</a></span>()</code>
<div class="block">Use to get the vertical color of this tile.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#setAspect-int:A-">setAspect</a></span>(int[]&nbsp;place)</code>
<div class="block">Use to set the aspect of this field.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#setLeft-java.lang.Character-">setLeft</a></span>(java.lang.Character&nbsp;left)</code>
<div class="block">Use to set the color of the left side of this tile to a new one.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#setRight-java.lang.Character-">setRight</a></span>(java.lang.Character&nbsp;right)</code>
<div class="block">Use to set the color of the right side of this tile to a new one.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#setValues-int-">setValues</a></span>(int&nbsp;values)</code>
<div class="block">Use to set the value of this tile (the number of points it is worth).</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#setVertical-java.lang.Character-">setVertical</a></span>(java.lang.Character&nbsp;vertical)</code>
<div class="block">Use to set the color of the vertical side of this tile to a new one.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#toEncoding--">toEncoding</a></span>()</code>
<div class="block">Use to encode a Tile.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../com/project/Tile.html" title="class in com.project">Tile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../com/project/Tile.html#turn-int-">turn</a></span>(int&nbsp;angle)</code>
<div class="block">Use to turn this tile around clockwise.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Tile-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Tile</h4>
<pre>public&nbsp;Tile(java.lang.String&nbsp;input)</pre>
<div class="block">Tile constructor (used for communication through the protocol).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - A string that gives the aspect, value and colors of the sides of
              a tile.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="getLeft--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeft</h4>
<pre>public&nbsp;java.lang.Character&nbsp;getLeft()</pre>
<div class="block">Use to get the left color of this tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the color of the left side of this tile.</dd>
</dl>
</li>
</ul>
<a name="setLeft-java.lang.Character-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeft</h4>
<pre>public&nbsp;void&nbsp;setLeft(java.lang.Character&nbsp;left)</pre>
<div class="block">Use to set the color of the left side of this tile to a new one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>left</code> - A color to be set as the one of the left side of this tile.</dd>
</dl>
</li>
</ul>
<a name="getRight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRight</h4>
<pre>public&nbsp;java.lang.Character&nbsp;getRight()</pre>
<div class="block">Use to get the right color of this tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the color of the right side of this tile.</dd>
</dl>
</li>
</ul>
<a name="setRight-java.lang.Character-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRight</h4>
<pre>public&nbsp;void&nbsp;setRight(java.lang.Character&nbsp;right)</pre>
<div class="block">Use to set the color of the right side of this tile to a new one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>right</code> - A color to be set as the one of the right side of this tile.</dd>
</dl>
</li>
</ul>
<a name="getVertical--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVertical</h4>
<pre>public&nbsp;java.lang.Character&nbsp;getVertical()</pre>
<div class="block">Use to get the vertical color of this tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the color of the vertical side of this tile.</dd>
</dl>
</li>
</ul>
<a name="setVertical-java.lang.Character-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVertical</h4>
<pre>public&nbsp;void&nbsp;setVertical(java.lang.Character&nbsp;vertical)</pre>
<div class="block">Use to set the color of the vertical side of this tile to a new one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertical</code> - A color to be set as the one of the vertical side of this
                 tile.</dd>
</dl>
</li>
</ul>
<a name="getValues--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValues</h4>
<pre>public&nbsp;int&nbsp;getValues()</pre>
<div class="block">Use to get the points this tile is worth.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An int representing the number of points this tile is worth.</dd>
</dl>
</li>
</ul>
<a name="setValues-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValues</h4>
<pre>public&nbsp;void&nbsp;setValues(int&nbsp;values)</pre>
<div class="block">Use to set the value of this tile (the number of points it is worth).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>values</code> - An int representing the number of points this tile should be
               worth.</dd>
</dl>
</li>
</ul>
<a name="getAspect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAspect</h4>
<pre>public&nbsp;int&nbsp;getAspect()</pre>
<div class="block">Use to get the aspect of this tile (upwards or downwards).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The aspect of this tile.</dd>
</dl>
</li>
</ul>
<a name="setAspect-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAspect</h4>
<pre>public&nbsp;void&nbsp;setAspect(int[]&nbsp;place)</pre>
<div class="block">Use to set the aspect of this field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>place</code> - An array of ints: place[0] the row, place[1] the column</dd>
</dl>
</li>
</ul>
<a name="toEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toEncoding</h4>
<pre>public&nbsp;java.lang.String&nbsp;toEncoding()</pre>
<div class="block">Use to encode a Tile.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A string representing the tile encryption.</dd>
</dl>
</li>
</ul>
<a name="turn-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>turn</h4>
<pre>public&nbsp;<a href="../../com/project/Tile.html" title="class in com.project">Tile</a>&nbsp;turn(int&nbsp;angle)</pre>
<div class="block">Use to turn this tile around clockwise.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>angle</code> - The current permutation of this tile (0, 120 or 240 degrees).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The permuted tile if the permutation exists (i.e. 0, 120 or 240
         degrees), otherwise null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../com/project/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?com/project/Tile.html" target="_top">Frames</a></li>
<li><a href="Tile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
